/*

  IR Remote And Receiver

  Parts required:
  - Arduino Board
  - IR Remote And Receiver

  Libraries required:
  - IRremote 2.2.3

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 21 Dec 2019
  Version : v1.0

*/

#include <IRremote.h>                         // import library IRremote

const int RECV_PIN = 7;                       // set RESV_PIN to digital port 7
int greenLed = 2;                             // set greenLed to digital port 2
int redLed = 3;                               // set redLed to digital port 3

int redLedValue = 0;                          // set redLedValue to a variable as 0
int greenLedValue = 0;                        // set greenLedValue to a variable as 0

IRrecv irrecv(RECV_PIN);                      // create object IRrecv from irrrecv with digital port 7
decode_results results;                       // set the value of results to value from decode_results

void setup() {
  Serial.begin(9600);                         // start Serial Monitor communication
  irrecv.enableIRIn();                        // set irrecv to receive

  pinMode(greenLed, OUTPUT);                  // set greenLed to OUTPUT
  pinMode(redLed, OUTPUT);                    // set redLed to OUTPUT
}

void loop() {
  if (irrecv.decode(&results)) {              // if irrecv.decode = a result do

    switch (results.value) {                  // check for results.value
      case 0xFF30CF : //Keypad button "1"     // if the value if 0xFF30CF do

        if (redLedValue == 0) {               // if redLedValue == 0 do
          digitalWrite(redLed, HIGH);         // set redLed to HIGH
          redLedValue = 1;                    // set variable redLedValue to 1
        }
        else {                                // else if redLedValue == 1 do
          digitalWrite(redLed, LOW);          // set redLed to LOW
          redLedValue = 0;                    // set variable redLedValue to 0
        }
    }

    switch (results.value) {                  // check for results.value
      case 0xFF18E7 : //Keypad button "2"     // if the value if 0xFF30CF do

        if (greenLedValue == 0) {             // if greenLedValue == 0 do
          digitalWrite(greenLed, HIGH);       // set greenLed to HIGH
          greenLedValue = 1;                  // set variable greenLedValue to 1
        }
        else {                                // else if redLedValue == 1 do
          digitalWrite(greenLed, LOW);        // set greenLed to LOW
          greenLedValue = 0;                  // set variable greenLedValue to 0
        }
    }
    delay(100);                               // wait for 100ms
    irrecv.resume();                          // resume receiving from irrecv
  }
}
